Page MenuHomePhabricator

Set up config pages that can be used for testing purposes
Closed, ResolvedPublic3 Story Points

Description

Acceptance Criteria

Demo

The beta-commons configuration sandbox can be demonstrated here: https://commons.wikimedia.beta.wmflabs.org/wiki/Special:ImportFile?clientUrl=https://en.wikipedia.beta.wmflabs.org/wiki/File:Lovely_automatic_translation_fail.png

That file is using a "TestExtra" template parameter which is mapped by https://commons.wikimedia.beta.wmflabs.org/wiki/Extension:FileImporter/Data/en.wikipedia

(Please don't actually import the file, it's tedious to prepare a new one...)

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 15 2019, 12:56 PM
Lea_WMDE updated the task description. (Show Details)May 15 2019, 12:57 PM
thiemowmde renamed this task from Set up a config file that can be used for testing purposes to Set up config pages that can be used for testing purposes.May 15 2019, 2:09 PM
thiemowmde set the point value for this task to 3.
thiemowmde added subscribers: awight, WMDE-Fisch, thiemowmde.
awight claimed this task.May 20 2019, 12:14 PM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-05-15 board.

Reading about the differences between beta commons and beta testwiki, I think that beta commons is the right target for this change. Specifically, betacommons currently

does not respect CommonsHelper2 config files

My reasoning is, that betacommons can respect its *own* CommonsHelper2 config files, and betatest can respect production commons config, so we maintain a useful distinction between the two environments.

Change 511678 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Point beta commonswiki to local CommonsHelper config

https://gerrit.wikimedia.org/r/511678

I've copied some configuration into here, https://commons.wikimedia.beta.wmflabs.org/wiki/Extension:FileImport/Data

This might be enough to get us going, the last bit I'm unsure about is whether the source wiki mapping will be done correctly. SiteLookup does list the beta sites, so I think it's worth trying "out of the box".

Change 511678 merged by jenkins-bot:
[operations/mediawiki-config@master] Point beta commonswiki to local CommonsHelper config

https://gerrit.wikimedia.org/r/511678

awight updated the task description. (Show Details)May 21 2019, 11:40 PM
awight moved this task from Review to Demo on the WMDE-QWERTY-Sprint-2019-05-15 board.
awight updated the task description. (Show Details)
thiemowmde closed this task as Resolved.